package com.zcloud.entity.system;

import java.io.Serializable;

/**
 * 说明：菜单实体类（路由信息）
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
public class MenuRouter implements Serializable {

	private static final long serialVersionUID = 1L;

	private String MENU_ROUTER_ID;		//主键ID
	private String MENU_ID;		//菜单ID
	private String activeMenu;	// 当前路由选中状态是哪个导航（isSubMenu:false时需要填写，设置isSubMenu:false路由的path）
	private String parentMenu;	// 属于哪一个父级路由（当多个路由共用一个组件时需要填写，给组件里各个路由跳转时使用，以便正确选择当前菜单）
	private String isMenu;	// 不显示当前菜单
	private String isLogin;	// 不需要登录可以访问
	private String breadcrumb;	// 当前页不显示在面包屑中
	private String isBreadcrumb;	// 当前页不显示面包屑
	private String isSubMenu;	// 当前菜单不显示子菜单
	private String title;	// 显示在菜单和面包屑中名称（必填）
	private String icon;	// 图标


	private String target;

	public String getMENU_ROUTER_ID() {
		return MENU_ROUTER_ID;
	}

	public void setMENU_ROUTER_ID(String MENU_ROUTER_ID) {
		this.MENU_ROUTER_ID = MENU_ROUTER_ID;
	}

	public String getMENU_ID() {
		return MENU_ID;
	}

	public void setMENU_ID(String MENU_ID) {
		this.MENU_ID = MENU_ID;
	}

	public String getActiveMenu() {
		return activeMenu;
	}

	public void setActiveMenu(String activeMenu) {
		this.activeMenu = activeMenu;
	}

	public String getParentMenu() {
		return parentMenu;
	}

	public void setParentMenu(String parentMenu) {
		this.parentMenu = parentMenu;
	}

	public String getIsMenu() {
		return isMenu;
	}

	public void setIsMenu(String isMenu) {
		this.isMenu = isMenu;
	}

	public String getIsLogin() {
		return isLogin;
	}

	public void setIsLogin(String isLogin) {
		this.isLogin = isLogin;
	}

	public String getBreadcrumb() {
		return breadcrumb;
	}

	public void setBreadcrumb(String breadcrumb) {
		this.breadcrumb = breadcrumb;
	}

	public String getIsBreadcrumb() {
		return isBreadcrumb;
	}

	public void setIsBreadcrumb(String isBreadcrumb) {
		this.isBreadcrumb = isBreadcrumb;
	}

	public String getIsSubMenu() {
		return isSubMenu;
	}

	public void setIsSubMenu(String isSubMenu) {
		this.isSubMenu = isSubMenu;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}
}
